<template>
    <v-card class="mx-auto" max-width="300">

    <v-img src="../../assets/hamburger2.png" height="100px" class="text-center align-center center">
        <span :elevation="4" style="text-shadow: 2px 2px #000;" class="display-4 font-weight-bold white--text">
          {{objHamburguer.quantidade}}
        </span>
    </v-img>

    <v-card-title class="titulo-produto-pedido">
      Hamburger de Carne
      <v-spacer></v-spacer>
      <v-btn icon @click="show = !show">
        <v-icon>{{ show ? 'mdi-chevron-up' : 'mdi-chevron-down' }}</v-icon>
      </v-btn>
    </v-card-title>

    <v-expand-transition v-if="objHamburguer.observacao != ''">
      <div v-show="show">
        <v-divider></v-divider>
        <v-card-text class="red white--text">
          {{objHamburguer.observacao}}
        </v-card-text>
      </div>
    </v-expand-transition>
  </v-card>
</template>

<style lang="scss">

</style>

<script>
    export default {
        name: 'Hamburguer',
        inject: [

        ],
        props: [
          'objHamburguer'
        ],
        data() {
            return {
                show: true,
            }
        },
        watch: {
          
        },
        methods: {
            
        }
    }
</script>